function totM       = aggM(fcnM,Q_d,Q_f,cH_max,h,f,gvars)
% aggregate fcnM in the M-sector
% aggM(fcnM,Q_d,Q_f,cH_max,h,f,gvars)

M                   = gvars.M;
H                   = gvars.H;

myeps               = gvars.myeps;
gamma               = gvars.gamma;
b                   = gvars.b;

alpha               = gvars.alpha;
delta               = gvars.delta;

% unit cost upper bounds
c_max               = gamma + b;

% measures
Hhat                = delta*H*(1 - F_ji(c_max,cH_max,gvars));
Mhat                = M + Hhat;

% revenue function weighted by pdf
pdf_fcn             = @(c) totalM(fcnM,c,Q_d,Q_f,h,f,gvars).*...
                            (...
                                dF_ji(c_max,c,gvars).*...
                                    (c <= c_max).*(M/Mhat)  + ...
                                (1/alpha).*dF_ji(c_max,c./alpha,gvars).*...
                                    (c > cH_max.*alpha).*(delta.*H/Mhat)  ...
                            );

totM                = Mhat*quadv(pdf_fcn,0,alpha.*c_max,myeps);
% totM                = Mhat*myquad(pdf_fcn,0,alpha.*c_max);

end