function e          =  eqm(Q,gvars)
% eqm stacks the symmetric equilibrium conditions
% assume w_0 = b = 1

eta                 = gvars.eta;

Q_d                 = Q;
Q_f                 = Q;

% find the cutoff corresponding to Q

% each firm imagines that all firms are operating.
% there is clearly a selection issue
% in a way any upper bound on unit cost would go but it would not be robust
% say the firms can check in the indifference rule held.

cH_max              = cutoffHM(Q_d,Q_f,gvars);

% turn display on/off
% fprintf('eqm called for (Q_d |Q_f |cH_max) \n')
% disp([Q_d, Q_f, cH_max/c_max]);

% revenues in the differentiated sector
h                   = 1;
f                   = 1;

totM_revenues       = aggM(@revenuesM,Q_d,Q_f,cH_max,h,f,gvars);
totH_revenues       = aggH(@revenuesH,Q_d,Q_f,cH_max,h,f,gvars);

totV_revenues       = totM_revenues + totH_revenues;

e                   = totV_revenues - Q^eta;


end