function m          = markupH(c_ji,c_comp,gvars)
% markupH computes the markup in i charged by a j-producer with cost c_ji
% markupH(c_ji,c_comp) gives the optimal markup charged
% by a duopolist with unit costs c_ji
% and a competitor from 1-j with unit cost c_comp
% default if outcompeted == 1

markup              = gvars.markup;

[X, Y]              = ndgrid(c_ji,c_comp);

% outcompeted
m                   = ones(size(X));

% in the game
m(X <= Y)           = min( markup , Y(X <= Y)./ X(X <= Y) );

end
