%% PLOT - FIGURE 1 - IMP. COMP. versus UNEMPL

%% parameters
alpha   = gvars.alpha;
b       = gvars.b;
gamma   = gvars.gamma;
delta   = gvars.delta;

cmax    = gamma + b;
Npts    = 500;

cvecM   = linspace(0,cmax*alpha,Npts);
cvecH   = linspace(0,cmax,Npts);

h       = 1;
f       = 1;
           
            
%% employment

empMvec = zeros(N,Npts);
empHvec = zeros(N,Npts);

for i = to_plot
    empMvec(i,:) = totalM(@sizeM,cvecM,Qs(i),Qs(i),h,f,gs(i));
    empHvec(i,:) = expected_totalH(@sizeH,cvecH,...
                    Qs(i),Qs(i),cH_maxs(i),h,f,gs(i));
end

%% economy wide unemployment
nonemplvec = zeros(N,1);

for i = to_plot
    nonemplvec(i) = nonempl(Qs(i),cH_maxs(i),gs(i));
end
            
%% population

popMvec = zeros(N,Npts);
popHvec = zeros(N,Npts);

for i = to_plot
    popMvec(i,:) = totalM(@payrollM,cvecM,Qs(i),Qs(i),h,f,...
                        gs(i));
    popHvec(i,:) = expected_totalH(@payrollH,cvecH,...
                    Qs(i),Qs(i),cH_maxs(i),h,f,...
                        gs(i));
end
            

%% unempl (no work)


nwkMvec = 1 - empMvec ./ popMvec;
nwkHvec = 1 - empHvec ./ popHvec;

          
%% ECONOMY WIDE STATS

fprintf('***** Unemployment & TAA  *********** \n')
disp([to_plot', taus(to_plot)', nonemplvec(to_plot)])

%% PLOTS

plotgraphs = 1;

if plotgraphs == 1

set(0,'DefaultFigureWindowStyle','docked')

% plotting size/pop by type and productivity
figure; 
plot(cvecH/cmax,empHvec(ini,:) ./ popHvec(ini,:) , ...
    cvecH/cmax,empHvec(med2,:) ./ popHvec(med2,:) , ...
    cvecH/cmax,empHvec(med1,:) ./ popHvec(med1,:) , ...
    cvecH/cmax,empHvec(fin,:) ./ popHvec(fin,:) )
grid on
title({'LR Employment to Population'; 'Tariff = '; ...
    [num2str(taus(ini)),' , ',num2str(taus(med2)),' , ',num2str(taus(med1)),' , ',num2str(taus(fin))] })


figure; 
plot(cvecH/cmax,empHvec(ini,:) ./ popHvec(ini,:) , ...
    cvecH/cmax,empHvec(med2,:) ./ popHvec(ini,:) , ...
    cvecH/cmax,empHvec(med1,:) ./ popHvec(ini,:) , ...
    cvecH/cmax,empHvec(fin,:) ./ popHvec(ini,:) ,...
    cvecH/cmax,ones(size(cvecH)))
grid on
title({'Employment to Initial Population'; 'Tariff = '; ...
    [num2str(taus(ini)),' , ',num2str(taus(med2)),' , ',num2str(taus(med1)),' , ',num2str(taus(fin))] })

set(0,'DefaultFigureWindowStyle','normal')
end



