function p          = priceH(c_ji,c_comp,gvars)
% priceH computes the price in i charged by a j-producer with cost c_ji
% priceH(c_ji,c_comp,gvars) gives the optimal price charged
% by a duopolist with unit cost c_ji
% and a competitor from 1-j with unit cost c_comp
% default if outcompeted == Inf

markup              = gvars.markup;


[X, Y]              = ndgrid(c_ji,c_comp);

% p                   = Inf(size(X),'single');
p                   = zeros(size(X));
p(X > Y)            = Inf;

p(X <= Y)           = min( markup*X(X <= Y) , Y(X <= Y) );
end
