function psi  = psiH_trans(c,c_tilde,Q_d,Q_f,cH_max,Q_d_ini,Q_f_ini,cH_max_ini,gvars_ini,gvars)
% psiH_trans computes the Lagrange multiplier a h2h j-producer with cost c
% facing a firm with unit cost c_tilde

markup              = gvars.markup;
gamma               = gvars.gamma;
b                   = gvars.b;
tau                 = gvars.tau;
rho                 = gvars.rho;
eta                 = gvars.eta;
sigma               = gvars.sigma;

h                   = 1;
f                   = 1;

%use the H-population function (or lookup eventually)                    
pop_all             = popH(c,Q_d_ini,Q_f_ini,cH_max_ini,gvars_ini);

% is this h2h labor market of c bounded? (use lookup eventually)
e_all               = expected_totalH(@sizeH,c,Q_d,Q_f,cH_max,h,f,gvars);

% h2h employment required for the match (c,c_tilde)
e_h2h               = totalH(@sizeH,c,c_tilde,Q_d,Q_f,h,f,gvars);

% pop_h2h attracted

pop_h2h             = e_h2h.*ndgrid( (pop_all ./ e_all) , c_tilde);

% % Lagrange multiplier in case the labor market is too tight
% e_d_max             = Q_d.^(- (rho - eta)/(1-rho)).*...
%                         (c.^(1-sigma))./...
%                         (gamma+b);
% 
% e_f_max             = Q_f.^(- (rho - eta)/(1-rho)).*...
%                         ((tau.*c).^(1-sigma))./ ...
%                         (gamma+b);
% 
% psi                 = max ( 0 , 1/markup.*...
%                             (pop_h2h./ ...
%                                 ndgrid ((e_d_max + e_f_max) , c_tilde) ...
%                             ).^(- 1/sigma) ...
%                             -1);
% 
% % combined multiplier/boundedness indicator
% % = -1*myeps not bounded or outcompeted
% % = 0 means bounded and will do the monopolist outcome
% % > 0 there is a bound problem and the Lagrangian multiplier is passed
% 
% psi(e_h2h <= pop_h2h | e_h2h == 0) = -1.00*gvars.myeps;

%% this is not the lagrangian but the case of exogenous size

psi                 = e_h2h ./ pop_h2h -1;
psi(e_h2h == 0)     = -1.00;

end