function psi  = psiM_trans(c,Q_d,Q_f,Q_d_ini,Q_f_ini,gvars_ini,gvars)
% psiM_trans computes the Lagrange multiplier a j-producer with cost c

markup              = gvars.markup;
gamma               = gvars.gamma;
b                   = gvars.b;
tau                 = gvars.tau;
rho                 = gvars.rho;
eta                 = gvars.eta;
sigma               = gvars.sigma;

pop                 = popM(c,Q_d_ini,Q_f_ini,gvars_ini);
                    
e_d_max             = Q_d.^(- (rho - eta)/(1-rho)).*...
                        (c.^(1-sigma))./...
                        (gamma+b);

e_f_max             = Q_f.^(- (rho - eta)/(1-rho)).*...
                        ((tau.*c).^(1-sigma))./ ...
                        (gamma+b);

psi                 = max ( 0 , 1/markup.*...
                            (pop./(e_d_max + e_f_max)).^(- 1/sigma)  ...
                            -1);
end