function r          = revenuesH(c_ji,c_comp,Q_i,gvars)
% revenuesH computes the revenue in i charged by a j-producer with cost c_ji
% revenuesH(c_ji,c_comp,Q_i) gives the optimal revenue earned
% by a duopolist with unit costs c_ji
% and a competitor from 1-j with unit cost c_comp

rho                 = gvars.rho;
eta                 = gvars.eta;
sigma               = gvars.sigma;

r                   = (Q_i.^(-(rho - eta)/(1-rho))).*...
                        (priceH(c_ji,c_comp,gvars)).^(1-sigma);

end
