function r_ji       = revenuesH_trans(c_ji,c_comp,Q_i,psiH,gvars)
% revenuesH_trans computes the revenue in i charged 
% by a j-producer with cost c_ji facing c_comp
% revenuesH_trans(c_ji,c_comp,Q_i,psiH) gives the optimal revenue earned
% by a j-duopolist with cost c_ji facing c_comp in a CES setup

rho                 = gvars.rho;
eta                 = gvars.eta;
sigma               = gvars.sigma;

r_ji                = (Q_i.^(-(rho - eta)/(1-rho))).*...
                        (priceH_trans(c_ji,c_comp,Q_i,psiH,gvars)).^...
                                                                (1-sigma);
                                                            
%% to undo exo size, remove Q_i in argument of function and priceH call

end