function r          = revenuesM(c_ji,Q_i,gvars)
% revenuesM computes the revenue in i charged by a j-producer with cost c_ji
% revenuesM(c_ji,Q_i) gives the optimal revenue earned
% by a j-monopolist with cost c_ji in a CES setup

sigma               = gvars.sigma;
rho                 = gvars.rho;
eta                 = gvars.eta;

r                   = (Q_i.^(-(rho - eta)/(1-rho))).*...
                                (priceM(c_ji,gvars)).^(1-sigma);
end