function e          = sizeH(c_ji,c_comp,Q_i,gvars)
% sizeH computes the employment of a j-producer with cost c_ji
% sizeH(c_ji,c_comp,Q_i) gives the  employment
% of a duopolist with unit costs c_ji
% and a competitor from 1-j with unit cost c_comp

rho                 = gvars.rho;
eta                 = gvars.eta;
sigma               = gvars.sigma;
gamma               = gvars.gamma;
b                   = gvars.b;
cmax                = gamma + b;

X                   = ndgrid(c_ji,c_comp);

e                   = (Q_i.^(-(rho - eta)/(1-rho))).*(X./cmax).*...
                        (priceH(c_ji,c_comp,gvars)).^(-sigma);

end
