function e_ji       = sizeM_trans(c_ji,Q_i,psiM,gvars)
% sizeM_trans computes the employment a j-producer with cost c_ji
% sizeM_trans(c_ji,Q_i) gives the employment emp 
% a j-monopolist with cost c_ji in a CES setup
markup              = gvars.markup;
gamma               = gvars.gamma;
b                   = gvars.b;
rho                 = gvars.rho;
eta                 = gvars.eta;
sigma               = gvars.sigma;


e_max               = Q_i.^(- (rho - eta)/(1-rho)).*...
                                (c_ji.^(1-sigma))./...
                                (gamma+b);

e_ji                = ((markup.*(1+psiM)).^(-sigma) ) .* ...
                                e_max;

end