function taa        = sumtaaH_trans(Q,cH_max,Q_ini,cH_max_ini,h,f,gvars_ini,gvars)
% sumtaaH is the number of workers displaced because of foreign competition
% sumtaaH(Q,cH_max,Q_ini,cH_max_ini,gvars_ini,gvars)

H                   = gvars.H;

myeps               = gvars.myeps;
gamma               = gvars.gamma;
b                   = gvars.b;
delta               = gvars.delta;

% unit cost upper bounds
c_max               = gamma + b;

% measures
Hhat                = delta*H*(1 - F_ji(c_max,cH_max_ini,gvars_ini));


% revenue function weighted by pdf
pdf_fcn             = @(c) ...
    taaH_trans(c,Q,cH_max,Q_ini,cH_max_ini,h,f,gvars_ini,gvars).*...
                        ( ...
                            dF_ji(c_max,c,gvars_ini) .* ...
                             ((1-delta) + delta.*(c <= cH_max_ini)) ...
                        ).*(c <= c_max)./...
                        ((1-delta) + delta.*F_ji(c_max,cH_max_ini,gvars_ini));

taa                = (H-Hhat)*quadv(pdf_fcn,0,c_max,myeps);
end
